# -*- coding: utf-8 -*-

# Authors: Manuel de la Pena <manuel@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Reactor installation for windows."""

# pylint: disable=E1101, F0401, W0404

import sys

from PyQt4 import QtGui


def stop(*args):
    """End the process."""
    from twisted.internet import reactor
    reactor.stop()


def main():
    """Perform a client request to be logged in."""

    app = QtGui.QApplication(sys.argv)
    import qtreactor.qt4reactor
    qtreactor.qt4reactor.install()
    from ubuntuone_installer.gui.qt.gui import MainWindow
    from twisted.internet import reactor
    window = MainWindow(close_callback=stop)
    app.window = window
    window.show()
    reactor.run()
